### A free/open-source library for quantitative finance

Public Types | Public Member Functions
GenericGaussianStatistics< Stat > Class Template Reference

Statistics tool for gaussian-assumption risk measures. More...

`#include <ql/math/statistics/gaussianstatistics.hpp>`

Inherits Stat.

List of all members.

## Public Types

typedef Stat::value_type | value_type

## Public Member Functions

| GenericGaussianStatistics (const Stat &s)
Gaussian risk measures
Real | gaussianDownsideVariance () const
Real | gaussianDownsideDeviation () const
Real | gaussianRegret (Real target) const
Real | gaussianPercentile (Real percentile) const
Real | gaussianTopPercentile (Real percentile) const
Real | gaussianPotentialUpside (Real percentile) const
| gaussian-assumption Potential-Upside at a given percentile
Real | gaussianValueAtRisk (Real percentile) const
| gaussian-assumption Value-At-Risk at a given percentile
Real | gaussianExpectedShortfall (Real percentile) const
| gaussian-assumption Expected Shortfall at a given percentile
Real | gaussianShortfall (Real target) const
| gaussian-assumption Shortfall (observations below target)
Real | gaussianAverageShortfall (Real target) const
| gaussian-assumption Average Shortfall (averaged shortfallness)

## Detailed Description

### template<class Stat>
class QuantLib::GenericGaussianStatistics< Stat >

Statistics tool for gaussian-assumption risk measures.

This class wraps a somewhat generic statistic tool and adds a number of gaussian risk measures (e.g.: value-at-risk, expected shortfall, etc.) based on the mean and variance provided by the underlying statistic tool.

## Member Function Documentation

Real gaussianDownsideVariance | ( |  | ) | const

returns the downside variance, defined as

, where = 0 if x > 0 and =1 if x <0

Real gaussianDownsideDeviation | ( |  | ) | const

returns the downside deviation, defined as the square root of the downside variance.

Real gaussianRegret | ( | Real | target | ) | const

returns the variance of observations below target

See Dembo, Freeman "The Rules Of Risk", Wiley (2001)

Real gaussianPercentile | ( | Real | percentile | ) | const

gaussian-assumption y-th percentile, defined as the value x such that

Precondition:
  percentile must be in range (0%-100%) extremes excluded

Real gaussianTopPercentile | ( | Real | percentile | ) | const

Precondition:
  percentile must be in range (0%-100%) extremes excluded

Real gaussianPotentialUpside | ( | Real | percentile | ) | const

gaussian-assumption Potential-Upside at a given percentile

Precondition:
  percentile must be in range [90%-100%)

Real gaussianValueAtRisk | ( | Real | percentile | ) | const

gaussian-assumption Value-At-Risk at a given percentile

Precondition:
  percentile must be in range [90%-100%)

Real gaussianExpectedShortfall | ( | Real | percentile | ) | const

gaussian-assumption Expected Shortfall at a given percentile

Assuming a gaussian distribution it returns the expected loss in case that the loss exceeded a VaR threshold,

that is the average of observations below the given percentile . Also know as conditional value-at-risk.

See Artzner, Delbaen, Eber and Heath, "Coherent measures of risk", Mathematical Finance 9 (1999)

Precondition:
  percentile must be in range [90%-100%)